Skip to main content
GET
/
v1
/
teams
/
{team_id}
/
api-keys
List Api Keys
curl --request GET \
  --url https://api.dataraven.io/v1/teams/{team_id}/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "key_id": "<string>",
      "name": "<string>",
      "scopes": [
        "<string>"
      ],
      "expires_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z",
      "rotated_at": "2023-11-07T05:31:56Z",
      "last_used_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_active": true
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Query Parameters

q
string | null

Search by name (case-insensitive)

include_revoked
boolean
default:true

Include revoked keys in results

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:50

Items per page

Required range: 1 <= x <= 100
sort_by
enum<string> | null

Field to sort by

Available options:
name,
created_at,
last_used_at
sort_order
enum<string> | null

Sort order: asc or desc Sort order for list endpoints.

Available options:
asc,
desc

Response

Successful Response

data
ApiKeyResponse · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata in responses.